Bug 61888 - VIEWING: Animations attached to grouped objects are not shown during presentation
Summary: VIEWING: Animations attached to grouped objects are not shown during presenta...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Custom-Animations
  Show dependency treegraph
 
Reported: 2013-03-06 07:57 UTC by saparvia
Modified: 2019-12-04 04:20 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
A presentation that illustrates the bug. Only one box should initially be visible, the other should appear after a click. (10.24 KB, application/vnd.oasis.opendocument.presentation)
2013-03-06 08:00 UTC, saparvia
Details

Note You need to log in before you can comment on or make changes to this bug.
Description saparvia 2013-03-06 07:57:40 UTC
Problem description: 
It is possible to add animations to individual objects that are grouped together. However, these animations are not displayed when the presentation is viewed.

Steps to reproduce:
1. Add two rectangles to a slide
2. Create a group with both the rectangles
3. Enter the group (double click) to edit the individual rectangles
4. Select one of the rectangles
5. Select Custom Animation -> Add -> Appear
7. View Slideshow

Current behavior:
Both rectangles are visible

Expected behavior:
One rectangle is visible, the other appears after a click
ALTERNATIVELY
Do not allow the user to add custom animations to objects that belong to a group
              
Operating System: Ubuntu
Version: 3.5.7.2 release
Comment 1 saparvia 2013-03-06 08:00:38 UTC
Created attachment 76000 [details]
A presentation that illustrates the bug. Only one box should initially be visible, the other should appear after a click.
Comment 2 saparvia 2013-03-22 13:06:14 UTC
The bug is still present in LibreOffice 4.0.1.2
Comment 3 ign_christian 2013-06-03 07:50:12 UTC
confirm reproducible on LO 4.0.4.1 (Win7 32bit)
Comment 4 Paul-Antoine Arras 2015-01-19 14:19:16 UTC
Bug still present in LO 4.2.4.2 on Linux.
Comment 5 saparvia 2016-02-10 16:05:22 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2017-09-01 11:20:38 UTC Comment hidden (obsolete)
Comment 7 saparvia 2018-07-04 09:42:15 UTC
The bug is still present in LO Version 6.0.4.2 on Linux.
Comment 8 QA Administrators 2019-12-04 04:20:15 UTC
Dear saparvia,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug